Search documentation of wx

# wxQueryNewPaletteEvent (wx v2.5.4)

Copy Markdown View Source

Functions for wxQueryNewPaletteEvent class

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxQueryNewPaletteEvent

## Summary

### Types

wxQueryNewPalette()
wxQueryNewPaletteEvent()
wxQueryNewPaletteEventType()

### Functions

getPaletteRealized(This)
setPaletteRealized(This, Realized)

## Types

# wxQueryNewPalette()

    -type wxQueryNewPalette() ::
              #wxQueryNewPalette{type :: wxQueryNewPaletteEvent:wxQueryNewPaletteEventType()}.

# wxQueryNewPaletteEvent()

    -type wxQueryNewPaletteEvent() :: wx:wx_object().

# wxQueryNewPaletteEventType()

    -type wxQueryNewPaletteEventType() :: query_new_palette.

## Functions

# getPaletteRealized(This)

    -spec getPaletteRealized(This) -> boolean() when This :: wxQueryNewPaletteEvent().

# setPaletteRealized(This, Realized)

    -spec setPaletteRealized(This, Realized) -> ok
                                when This :: wxQueryNewPaletteEvent(), Realized :: boolean().